// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "uniformWorldConstants.h"
#include "uniformShaderConstants.h"
#include "fragmentVersionSimple.h"
#include "uniformPerFrameConstants.h"
#include "lib/horizon.h"

in highp vec3 pos;

void main(){

vec4 fc = FOG_COLOR;
float cc = CURRENT_COLOR.r;

function m;
    m.nightfunc = pow(max(min(1.0-fc.r * 1.5, 1.0), 0.0), 1.2);
    m.sunfunc = pow(max(min(1.0-fc.b * 1.2, 1.0), 0.0), 0.5);
    m.rainfunc = (1.0-pow(FOG_CONTROL.y,5.0));
    m.lp = length(pos.xz);
Color n;
    n.fc = fc;

  vec3 res = skyc(m, n);
gl_FragColor = vec4(res,fc.a);
}
