// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "vertexVersionCentroidUV.h"
#include "uniformWorldConstants.h"

attribute POS4 POSITION;
attribute vec2 TEXCOORD_0;

out highp vec3 pos;
out highp vec4 dpos;

void main()
{
    vec4 rpos = POSITION * vec4(13.3, 1.0, 12.0, 1.0);
	 rpos.x -= 0.7;
	 pos = POSITION.xyz * vec3(15.0, 1.0, 15.0);
   dpos = POSITION * WORLDVIEWPROJ;

    gl_Position = WORLDVIEWPROJ * rpos;

    uv = TEXCOORD_0;
}